Subject: Re: bug#34506: 27.0.50: push-button bug with basic text-property button

From: "Basil L. Contovounesios" <[email-masked]>
Date: Mon, 18 Feb 2019 20:52:27 +0000

Robert Weiner <[email-masked]> writes:

> Thanks Eli, that is much clearer.  I can work with that explanation.
>
> Your last paragraph indicates that the button API by itself could use
> some improvement.  How does one obtain a button to send to button-type
> if not button-at?

You can use button-at if you want to be agnostic of the button (not
widget) type.  If you're only dealing with text (not overlay) buttons,
you can avoid creating markers by passing a buffer position like (point)
directly to button-type.

If you are dealing with widgets, on the other hand, you should use
widget-at and widget-type in place of button-at and button-type,
respectively.  The widget and button APIs are mutually incompatible.

-- 
Basil